Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1599272 - Running scriptlet fails
Summary: Running scriptlet fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: container-selinux
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-09 11:46 UTC by Andrei Stepanov
Modified: 2018-08-02 16:21 UTC (History)
5 users (show)

Fixed In Version: container-selinux-2.69-1.git452b90d.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 16:21:57 UTC


Attachments (Terms of Use)

Description Andrei Stepanov 2018-07-09 11:46:13 UTC
Package installation fails in running scriptlet for container-selinux-2:2.65-1.gitbf5b26b.fc27.noarch 


Full log:

[root@qeos-21 ~]# dnf install container-selinux
Beaker Client - Fedora27                                                                                                                                                       97 kB/s |  12 kB     00:00    
Beaker harness                                                                                                                                                                265 kB/s | 134 kB     00:00    
Fedora 27 - x86_64 - Updates                                                                                                                                                  5.3 MB/s |  25 MB     00:04    
Fedora 27 - x86_64                                                                                                                                                             44 MB/s |  58 MB     00:01    
QA Tools Incubator                                                                                                                                                            144 kB/s |  69 kB     00:00    
QA Tools Incubator Testing                                                                                                                                                     64 kB/s |  15 kB     00:00    
Last metadata expiration check: 0:00:00 ago on Mon 09 Jul 2018 07:44:22 AM EDT.
Dependencies resolved.
==============================================================================================================================================================================================================
 Package                                                      Arch                                   Version                                                    Repository                               Size
==============================================================================================================================================================================================================
Installing:
 container-selinux                                            noarch                                 2:2.65-1.gitbf5b26b.fc27                                   updates                                  41 k
Installing dependencies:
 policycoreutils-python-utils                                 x86_64                                 2.7-6.fc27                                                 updates                                 225 k

Transaction Summary
==============================================================================================================================================================================================================
Install  2 Packages

Total download size: 266 k
Installed size: 186 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): container-selinux-2.65-1.gitbf5b26b.fc27.noarch.rpm                                                                                                                    130 kB/s |  41 kB     00:00    
(2/2): policycoreutils-python-utils-2.7-6.fc27.x86_64.rpm                                                                                                                     590 kB/s | 225 kB     00:00    
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                         383 kB/s | 266 kB     00:00     
warning: /var/cache/dnf/updates-09879b494aeba108/packages/container-selinux-2.65-1.gitbf5b26b.fc27.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID f5282ee4: NOKEY
Importing GPG key 0xF5282EE4:
 Userid     : "Fedora 27 (27) <fedora-27@fedoraproject.org>"
 Fingerprint: 860E 19B0 AFA8 00A1 7518 81A6 F55E 7430 F528 2EE4
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-27-x86_64
Is this ok [y/N]: y
Key imported successfully
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                                                                      1/1 
  Installing       : policycoreutils-python-utils-2.7-6.fc27.x86_64                                                                                                                                       1/2 
  Installing       : container-selinux-2:2.65-1.gitbf5b26b.fc27.noarch                                                                                                                                    2/2 
  Running scriptlet: container-selinux-2:2.65-1.gitbf5b26b.fc27.noarch                                                                                                                                    2/2 
neverallow check failed at /var/lib/selinux/targeted/tmp/modules/100/base/cil:9013
  (neverallow base_typeattr_7 unlabeled_t (file (entrypoint)))
    <root>
    allow at /var/lib/selinux/targeted/tmp/modules/200/container/cil:1489
      (allow spc_t unlabeled_t (file (entrypoint)))
    <root>
    allow at /var/lib/selinux/targeted/tmp/modules/100/sandboxX/cil:866
      (allow sandbox_x_domain exec_type (file (entrypoint)))
    <root>
    allow at /var/lib/selinux/targeted/tmp/modules/100/virt/cil:1671
      (allow virtd_lxc_t exec_type (file (entrypoint)))
    <root>
    allow at /var/lib/selinux/targeted/tmp/modules/100/virt/cil:2062
      (allow svirt_sandbox_domain exec_type (file (entrypoint)))

Failed to generate binary
/usr/sbin/semodule:  Failed!
Running as unit: run-red55e2390cdf4dc78ae132b0258cb946.service
  Verifying        : container-selinux-2:2.65-1.gitbf5b26b.fc27.noarch                                                                                                                                    1/2 
  Verifying        : policycoreutils-python-utils-2.7-6.fc27.x86_64                                                                                                                                       2/2 

Installed:
  container-selinux.noarch 2:2.65-1.gitbf5b26b.fc27                                                       policycoreutils-python-utils.x86_64 2.7-6.fc27                                                      

Complete!

Comment 1 Fedora Update System 2018-07-26 11:52:55 UTC
container-selinux-2.69-1.git452b90d.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-42991b7a1d

Comment 2 Fedora Update System 2018-07-26 16:34:08 UTC
container-selinux-2.69-1.git452b90d.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-42991b7a1d

Comment 3 Fedora Update System 2018-08-02 16:21:57 UTC
container-selinux-2.69-1.git452b90d.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.